"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var _this = this;
exports.__esModule = true;
var ava_1 = require("ava");
var nock = require("nock");
var src_1 = require("../src");
var batchedSend_1 = require("./batchedSend");
var send_1 = require("./send");
var bumpedApiVersion = send_1.apiVersion + 1;
nock('http://localhost:34265', send_1.headers(send_1.apiVersion))
    .post('/', send_1.findTransactionsCommand)
    .reply(200, send_1.findTransactionsResponse);
nock('http://localhost:44265', send_1.headers(bumpedApiVersion))
    .post('/', send_1.findTransactionsCommand)
    .reply(200, send_1.findTransactionsResponse);
ava_1["default"]('setSettings() sets provider uri', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var client, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                client = src_1.createHttpClient();
                client.setSettings({
                    provider: 'http://localhost:34265'
                });
                _b = (_a = t).deepEqual;
                return [4 /*yield*/, client.send(send_1.findTransactionsCommand)];
            case 1:
                _b.apply(_a, [_c.sent(), send_1.findTransactionsResponse]);
                return [2 /*return*/];
        }
    });
}); });
ava_1["default"]('setSettings() sets X-IOTA-API-Version', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var client, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                client = src_1.createHttpClient();
                client.setSettings({
                    provider: 'http://localhost:44265',
                    apiVersion: bumpedApiVersion
                });
                _b = (_a = t).deepEqual;
                return [4 /*yield*/, client.send(send_1.findTransactionsCommand)];
            case 1:
                _b.apply(_a, [_c.sent(), send_1.findTransactionsResponse]);
                return [2 /*return*/];
        }
    });
}); });
ava_1["default"]('setSettings() sets request batch size', function (t) { return __awaiter(_this, void 0, void 0, function () {
    var client, _a, _b;
    return __generator(this, function (_c) {
        switch (_c.label) {
            case 0:
                client = src_1.createHttpClient({
                    provider: 'http://localhost:24265',
                    requestBatchSize: 1000,
                    apiVersion: send_1.apiVersion
                });
                client.setSettings({
                    requestBatchSize: batchedSend_1.requestBatchSize
                });
                _b = (_a = t).deepEqual;
                return [4 /*yield*/, client.send(batchedSend_1.findTransactionsCommand)];
            case 1:
                _b.apply(_a, [_c.sent(), batchedSend_1.expectedFindTransactionsResponse]);
                return [2 /*return*/];
        }
    });
}); });
//# sourceMappingURL=setSettings.test.js.map